Subject: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: Tassilo Horn <[email-masked]>
Date: Wed, 30 Mar 2011 17:17:00 +0200

sho nakatani <[email-masked]> writes:

>>> But your function doesn't work for some files.
>>
>> What exactly doesn't work?
>
> I meant that after calling `doc-view-fit-slice-width-to-window' the
> image disappeared from the window.

That was the effect of your original function, too.  So you might want
to double-check that no floating point numbers are given to any image
function for :width or 'slice...

> I tested some files written in both English and Japanese.  After that,
> I realized only images written in Japanese sometimes (not always)
> cause this error.
>
> I guess this error is related with font set and ghostscript, or my own
> environment.

I can confirm that ghostscript sometimes has issues with fonts.
However, in that case it would be awkward if fitting works without
slice, but fails with slice...

Bye,
Tassilo